import java.util.Date;

import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.hibernate.Transaction;
import org.hibernate.cfg.Configuration;
import org.hibernate.service.ServiceRegistry;
import org.hibernate.service.ServiceRegistryBuilder;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;

import com.cbt.bean.Student;


@SuppressWarnings("deprecation")
public class StudentTest {
	private SessionFactory sessionFactory; 
	private Session session;
	private Transaction transaction;
	
	@Before
	public void before(){
		//创建配置对象
		Configuration config = new Configuration().configure();
		//创建服务注册对象
		ServiceRegistry service = new ServiceRegistryBuilder().applySettings(config.getProperties()).buildServiceRegistry();
		//创建会话工厂对象
		sessionFactory = config.buildSessionFactory(service);
		//创建会话对象
		session = sessionFactory.openSession();
		//开启事务
		transaction = session.beginTransaction();
	}

	@After
	public void after(){
		transaction.commit();	//提交事务
		session.close();		//关闭会话
		sessionFactory.close(); //关闭会话工厂
	}
	
	@Test
	public void testSaveStudent() {
		//创建学生对象
		Student s = new Student(1,"张三","男",new Date(),"武当山");
		/*
		 * 由于hibernate.cfg.xml中配置的hbm2ddl.auto值为'Create'，所以执行save
		 * 方法会检查数据库中是否有student表，没有的话会创建此表，并将s对象保存进去
		 */
		session.save(s);
	}

}
